package com.fs.his.service;

import com.alibaba.fastjson.JSONObject;
import com.fs.his.param.HzOMSErpApiParam;
import com.fs.his.vo.HzOMSErpResponseVO;
import org.apache.poi.ss.formula.functions.T;

public interface ErpApiService {

    /**
     * hzoms 同步商品库存
     * @param param
     * @return
     */
    HzOMSErpResponseVO stockSync(HzOMSErpApiParam param);

    /**
     * hzoms 用于将瀚智商品库存同步到第三方
     * @param param
     * @return
     */
    HzOMSErpResponseVO  skuStockSync(HzOMSErpApiParam param);

    /**
     * hzoms 平台订单物流信息回传
     * @param param
     * @return
     */
    HzOMSErpResponseVO  logisticsAdd(HzOMSErpApiParam param);

    /**
     * hzoms 解码参数
     * @param s
     * @return
     */
    JSONObject getDecodeDataJSON(String s);
}
